# $Revision: 1.16 $, $Date: 2008-03-11 14:59:53 $
Summary:	A Commodore 64 music player and SID chip emulator library
Summary(pl.UTF-8):	Biblioteka odtwarzająca muzyczki z Commodore 64 i emulująca układ SID
Name:		libsidplay
Version:	1.36.59
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/%{name}-%{version}.tgz
# Source0-md5:	37c51ba4bd57164b1b0bb7b43b9adece
Patch0:		%{name}-gcc34.patch
URL:		http://www.geocities.com/SiliconValley/Lakes/5147/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it you
can play musics from Commodore 64 (or compatible) programs.

%description -l pl.UTF-8
Ta biblioteka zawiera emulator układu SID (Sound Interface Device),
który jest używany przez programy odtwarzające muzykę jak np. SIDPLAY.
Przy jej pomocy można odtwarzać muzyczki z programów dla Commodore 64
(i kompatybilnych).

%package devel
Summary:	Header files for compiling apps that use libsidplay
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania aplikacji używających libsidplay
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains the header files for compiling applications that
use libsidplay.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do budowania aplikacji używających
biblioteki libsidplay.

%package static
Summary:	Static libsidplay library
Summary(pl.UTF-8):	Statyczna biblioteka libsidplay
Group:		Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libsidplay.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję libsidplay.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub scripts/
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsidplay.so.*.*

%files devel
%defattr(644,root,root,755)
%doc DEVELOPER src/fastforward.txt src/format.txt src/mixing.txt src/mpu.txt src/panning.txt
%attr(755,root,root) %{_libdir}/libsidplay.so
%{_libdir}/libsidplay.la
%{_includedir}/sidplay

%files static
%defattr(644,root,root,755)
%{_libdir}/libsidplay.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsidplay.spec,v $
Revision 1.16  2008-03-11 14:59:53  hawk
- %(__libtoolize}, %{__aclocal}, fixes "hidden symbol `stat' in
  /usr/lib/libc_nonshared.a(stat.oS) is referenced by DSO"
- release 3

Revision 1.15  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:04  baggins
- converted to UTF-8

Revision 1.13  2006/02/22 18:21:27  freetz
- rel.2 for th

Revision 1.12  2005/01/03 16:47:55  qboosh
- BR+R libstdc++-devel

Revision 1.11  2005/01/01 14:24:35  wolf
- 1.36.59

Revision 1.10  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.9  2004/06/26 17:08:23  grzegol
- added gcc34 patch

Revision 1.8  2004/04/05 06:07:25  qboosh
- release 3

Revision 1.7  2004/04/04 22:14:53  grzegol
- copy config.sub to scripts directory

Revision 1.6  2004/04/04 22:09:51  grzegol
- copy config.sub

Revision 1.5  2004/04/04 22:02:41  grzegol
- strict internal deps
- rel. 2

Revision 1.4  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.3  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/08 17:15:36  qboosh
- pl description, cleanups, BR: autoconf

Revision 1.1  2002/11/08 01:59:24  aflinta
- initial release
